Package org.apache.tomcat.util.descriptor

# Class LocalResolver

java.lang.Object
org.apache.tomcat.util.descriptor.LocalResolver

All Implemented Interfaces:
  `EntityResolver`, `EntityResolver2`

public class LocalResolver extends Object implements EntityResolver2
A resolver for locally cached XML resources.

## Constructor Summary

Constructors
Constructor
Description
`LocalResolver(Map<String,String> publicIds, Map<String,String> systemIds, boolean blockExternal)`
Constructor providing mappings of public and system identifiers to local resources.

## Method Summary

Modifier and Type
Method
Description
`InputSource`
`getExternalSubset(String name, String baseURI)`
`InputSource`
`resolveEntity(String publicId, String systemId)`
`InputSource`
`resolveEntity(String name, String publicId, String base, String systemId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocalResolver

public LocalResolver(Map<String,String> publicIds, Map<String,String> systemIds, boolean blockExternal)
Constructor providing mappings of public and system identifiers to local resources. Each map contains a mapping from a well-known identifier to a URL for a local resource path.

Parameters:
  `publicIds` - mapping of well-known public identifiers to local resources
  `systemIds` - mapping of well-known system identifiers to local resources
  `blockExternal` - are external resources blocked that are not well-known

## Method Details

### resolveEntity

public InputSource resolveEntity(String publicId, String systemId) throws SAXException, IOException

Specified by:
  `resolveEntity` in interface `EntityResolver`
Throws:
  `SAXException`
  `IOException`

### resolveEntity

public InputSource resolveEntity(String name, String publicId, String base, String systemId) throws SAXException, IOException

Specified by:
  `resolveEntity` in interface `EntityResolver2`
Throws:
  `SAXException`
  `IOException`

### getExternalSubset

public InputSource getExternalSubset(String name, String baseURI) throws SAXException, IOException

Specified by:
  `getExternalSubset` in interface `EntityResolver2`
Throws:
  `SAXException`
  `IOException`